## org.apache.hadoop.mapreduce.split
Class JobSplit.TaskSplitMetaInfo

    java.lang.Object
      org.apache.hadoop.mapreduce.split.JobSplit.TaskSplitMetaInfo

Enclosing class:
  JobSplit

    public static class JobSplit.TaskSplitMetaInfo

extends Object

This represents the meta information about the task split that the JobTracker creates

Constructor Summary
`JobSplit.TaskSplitMetaInfo()`
`JobSplit.TaskSplitMetaInfo(InputSplit split, long startOffset)`
`JobSplit.TaskSplitMetaInfo(JobSplit.TaskSplitIndex splitIndex, String[] locations, long inputDataLength)`
`JobSplit.TaskSplitMetaInfo(String[] locations, long startOffset, long inputDataLength)`

Method Summary
`long` `getInputDataLength()`
`String[]` `getLocations()`
`JobSplit.TaskSplitIndex` `getSplitIndex()`
`String` `getSplitLocation()`
`long` `getStartOffset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo()

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo(JobSplit.TaskSplitIndex splitIndex,
                                      String[] locations,
                                      long inputDataLength)

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo(InputSplit split,
                                      long startOffset)
                               throws InterruptedException,
                                      IOException

Throws:
  `InterruptedException`
  `IOException`

### JobSplit.TaskSplitMetaInfo

    public JobSplit.TaskSplitMetaInfo(String[] locations,
                                      long startOffset,
                                      long inputDataLength)

Method Detail

### getSplitIndex

    public JobSplit.TaskSplitIndex getSplitIndex()

### getSplitLocation

    public String getSplitLocation()

### getInputDataLength

    public long getInputDataLength()

### getLocations

    public String[] getLocations()

### getStartOffset

    public long getStartOffset()

Copyright © 2009 The Apache Software Foundation